Update a line item of a receipt

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

receipt_idstringRequired
line_item_idstringRequired

Headers

x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.

Request

This endpoint expects an object.
accounting_tax_rate_idstringOptionalformat: "uuid"
Accounting tax rate ID.
cost_center_idstringOptionalformat: "uuid"
Cost center ID.
ledger_account_idstringOptionalformat: "uuid"
Ledger account ID.
namestringOptional

Line item name/description.

totalintegerOptional
Line item total in minor units.

Response

Successful Response
idstringformat: "uuid"
Unique line item ID.
created_atdatetime
Created at.
updated_atdatetime
Updated at.
receipt_idstringformat: "uuid"
Receipt ID.
accounting_tax_rate_idstringformat: "uuid"
Accounting tax rate ID.
cost_center_idstringformat: "uuid"
Cost center ID.
created_by_entity_user_idstringformat: "uuid"
Created by user.
ledger_account_idstringformat: "uuid"
Ledger account ID.
namestring
Line item name.
totalinteger
Total.

Errors

401
Patch Receipts ID Line Items ID Request Unauthorized Error
403
Patch Receipts ID Line Items ID Request Forbidden Error
404
Patch Receipts ID Line Items ID Request Not Found Error
422
Patch Receipts ID Line Items ID Request Unprocessable Entity Error
429
Patch Receipts ID Line Items ID Request Too Many Requests Error